package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFAV1Data {

    private Map<String, Object> params;
    
    public MWFAV1Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsInstPtKey() {
        return (Long) params.get("RS_INST_PT_KEY");
    }

    public String rsKlientrole() {
        return (String) params.get("RS_KLIENTROLE");
    }

    public Long rsPoradizadatele() {
        return (Long) params.get("RS_PORADIZADATELE");
    }

    public String rsRodnecislo() {
        return (String) params.get("RS_RODNECISLO");
    }

    public String rsPohlavi() {
        return (String) params.get("RS_POHLAVI");
    }

    public String rsTitulpred() {
        return (String) params.get("RS_TITULPRED");
    }

    public String rsJmenokrestni() {
        return (String) params.get("RS_JMENOKRESTNI");
    }

    public String rsDruhejmeno() {
        return (String) params.get("RS_DRUHEJMENO");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsRodneprijmeni() {
        return (String) params.get("RS_RODNEPRIJMENI");
    }

    public String rsTitulza() {
        return (String) params.get("RS_TITULZA");
    }

    public Long rsOsobnidoklad1Key() {
        return (Long) params.get("RS_OSOBNIDOKLAD1_KEY");
    }

    public String rsOsobnidoklad1typ() {
        return (String) params.get("RS_OSOBNIDOKLAD1TYP");
    }

    public String rsOsobnidoklad1cislo() {
        return (String) params.get("RS_OSOBNIDOKLAD1CISLO");
    }

    public java.util.Date rsOsobnidoklad1platnostdo() {
        return (java.util.Date) params.get("RS_OSOBNIDOKLAD1PLATNOSTDO");
    }

    public Long rsOsobnidoklad2Key() {
        return (Long) params.get("RS_OSOBNIDOKLAD2_KEY");
    }

    public String rsOsobnidoklad2typ() {
        return (String) params.get("RS_OSOBNIDOKLAD2TYP");
    }

    public String rsOsobnidoklad2cislo() {
        return (String) params.get("RS_OSOBNIDOKLAD2CISLO");
    }

    public java.util.Date rsOsobnidoklad2platnostdo() {
        return (java.util.Date) params.get("RS_OSOBNIDOKLAD2PLATNOSTDO");
    }

    public String rsStatniprislusnost() {
        return (String) params.get("RS_STATNIPRISLUSNOST");
    }

    public String rsRezidenceflag() {
        return (String) params.get("RS_REZIDENCEFLAG");
    }

    public String rsEvidencnicislo() {
        return (String) params.get("RS_EVIDENCNICISLO");
    }

    public String rsKlienttypmkt() {
        return (String) params.get("RS_KLIENTTYPMKT");
    }

    public String rsKlientvztakkzadateli() {
        return (String) params.get("RS_KLIENTVZTAKKZADATELI");
    }

    public String rsSpolecnadomacnostflag() {
        return (String) params.get("RS_SPOLECNADOMACNOSTFLAG");
    }

    public String rsAdrkorAdresat() {
        return (String) params.get("RS_ADRKOR_ADRESAT");
    }

    public Long rsAdrkorKey() {
        return (Long) params.get("RS_ADRKOR_KEY");
    }

    public String rsAdrkorUlice() {
        return (String) params.get("RS_ADRKOR_ULICE");
    }

    public String rsAdrkorCp() {
        return (String) params.get("RS_ADRKOR_CP");
    }

    public String rsAdrkorCo() {
        return (String) params.get("RS_ADRKOR_CO");
    }

    public String rsAdrkorObec() {
        return (String) params.get("RS_ADRKOR_OBEC");
    }

    public String rsAdrkorPsc() {
        return (String) params.get("RS_ADRKOR_PSC");
    }

    public String rsAdrkorPosta() {
        return (String) params.get("RS_ADRKOR_POSTA");
    }

    public Long rsTelefonkontaktniKey() {
        return (Long) params.get("RS_TELEFONKONTAKTNI_KEY");
    }

    public String rsTelefonkontaktni() {
        return (String) params.get("RS_TELEFONKONTAKTNI");
    }

    public String rsAdrkorZeme() {
        return (String) params.get("RS_ADRKOR_ZEME");
    }

    public String rsAdrkorDokladtyp() {
        return (String) params.get("RS_ADRKOR_DOKLADTYP");
    }

    public java.util.Date rsAdrkorDokladdatumvystaveni() {
        return (java.util.Date) params.get("RS_ADRKOR_DOKLADDATUMVYSTAVENI");
    }

    public Long rsAdrkorDokladKey() {
        return (Long) params.get("RS_ADRKOR_DOKLAD_KEY");
    }

    public Long rsTelefonmobilniKey() {
        return (Long) params.get("RS_TELEFONMOBILNI_KEY");
    }

    public String rsTelefonmobilni() {
        return (String) params.get("RS_TELEFONMOBILNI");
    }

    public String rsAdrtrvAdresat() {
        return (String) params.get("RS_ADRTRV_ADRESAT");
    }

    public Long rsAdrtrvKey() {
        return (Long) params.get("RS_ADRTRV_KEY");
    }

    public String rsAdrtrvUlice() {
        return (String) params.get("RS_ADRTRV_ULICE");
    }

    public String rsAdrtrvCp() {
        return (String) params.get("RS_ADRTRV_CP");
    }

    public String rsAdrtrvCo() {
        return (String) params.get("RS_ADRTRV_CO");
    }

    public String rsAdrtrvObec() {
        return (String) params.get("RS_ADRTRV_OBEC");
    }

    public String rsAdrtrvPsc() {
        return (String) params.get("RS_ADRTRV_PSC");
    }

    public String rsAdrtrvPosta() {
        return (String) params.get("RS_ADRTRV_POSTA");
    }

    public String rsAdrtrvZeme() {
        return (String) params.get("RS_ADRTRV_ZEME");
    }

    public Long rsTelefonpevnaKey() {
        return (Long) params.get("RS_TELEFONPEVNA_KEY");
    }

    public String rsTelefonpevna() {
        return (String) params.get("RS_TELEFONPEVNA");
    }

    public Long rsEmailKey() {
        return (Long) params.get("RS_EMAIL_KEY");
    }

    public String rsEmail() {
        return (String) params.get("RS_EMAIL");
    }

    public Long rsDatumnastehovanirok() {
        return (Long) params.get("RS_DATUMNASTEHOVANIROK");
    }

    public String rsStavrodinny() {
        return (String) params.get("RS_STAVRODINNY");
    }

    public String rsDruhbydleni() {
        return (String) params.get("RS_DRUHBYDLENI");
    }

    public String rsVzdelani() {
        return (String) params.get("RS_VZDELANI");
    }

    public String rsPracovnipomer() {
        return (String) params.get("RS_PRACOVNIPOMER");
    }

    public java.util.Date rsDatumpracovnipomerdo() {
        return (java.util.Date) params.get("RS_DATUMPRACOVNIPOMERDO");
    }

    public String rsZamnazev() {
        return (String) params.get("RS_ZAMNAZEV");
    }

    public String rsZamico() {
        return (String) params.get("RS_ZAMICO");
    }

    public String rsZamzeme() {
        return (String) params.get("RS_ZAMZEME");
    }

    public String rsZamadrAdresat() {
        return (String) params.get("RS_ZAMADR_ADRESAT");
    }

    public Long rsZamadrKey() {
        return (Long) params.get("RS_ZAMADR_KEY");
    }

    public String rsZamadrUlice() {
        return (String) params.get("RS_ZAMADR_ULICE");
    }

    public String rsZamadrCp() {
        return (String) params.get("RS_ZAMADR_CP");
    }

    public String rsZamadrCo() {
        return (String) params.get("RS_ZAMADR_CO");
    }

    public String rsZamadrObec() {
        return (String) params.get("RS_ZAMADR_OBEC");
    }

    public String rsZamadrPsc() {
        return (String) params.get("RS_ZAMADR_PSC");
    }

    public String rsZamadrPosta() {
        return (String) params.get("RS_ZAMADR_POSTA");
    }

    public Long rsTelefonzamkontaktniKey() {
        return (Long) params.get("RS_TELEFONZAMKONTAKTNI_KEY");
    }

    public String rsTelefonzamkontaktni() {
        return (String) params.get("RS_TELEFONZAMKONTAKTNI");
    }

    public Long rsTelefonzammobilKey() {
        return (Long) params.get("RS_TELEFONZAMMOBIL_KEY");
    }

    public String rsTelefonzammobil() {
        return (String) params.get("RS_TELEFONZAMMOBIL");
    }

    public String rsZamadrZeme() {
        return (String) params.get("RS_ZAMADR_ZEME");
    }

    public String rsPovolani() {
        return (String) params.get("RS_POVOLANI");
    }

    public java.util.Date rsDatumzamod() {
        return (java.util.Date) params.get("RS_DATUMZAMOD");
    }

    public Double rsCistymesicprijem3m() {
        return (Double) params.get("RS_CISTYMESICPRIJEM3M");
    }

    public Double rsHrubyrocniprijem() {
        return (Double) params.get("RS_HRUBYROCNIPRIJEM");
    }

    public Double rsZakladdane() {
        return (Double) params.get("RS_ZAKLADDANE");
    }

    public Long rsZakladdanerok() {
        return (Long) params.get("RS_ZAKLADDANEROK");
    }

    public Double rsJinemessplatky() {
        return (Double) params.get("RS_JINEMESSPLATKY");
    }

    public Long rsPocetvyzivovanychosob() {
        return (Long) params.get("RS_POCETVYZIVOVANYCHOSOB");
    }

    public Double rsCelkovyprijemdom() {
        return (Double) params.get("RS_CELKOVYPRIJEMDOM");
    }

    public Double rsSrazkyzemzdy() {
        return (Double) params.get("RS_SRAZKYZEMZDY");
    }

    public Long rsPocetpotvrzeniprijmu() {
        return (Long) params.get("RS_POCETPOTVRZENIPRIJMU");
    }

    public String rsCif() {
        return (String) params.get("RS_CIF");
    }

    public String rsVztahklientakbance() {
        return (String) params.get("RS_VZTAHKLIENTAKBANCE");
    }

    public java.util.Date rsDatumpodpisu101() {
        return (java.util.Date) params.get("RS_DATUMPODPISU101");
    }

    public String rsSouhlas101flag() {
        return (String) params.get("RS_SOUHLAS101FLAG");
    }

    public String rsSouhlasecbstav() {
        return (String) params.get("RS_SOUHLASECBSTAV");
    }

    public String rsIco() {
        return (String) params.get("RS_ICO");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public Long rsKlientsmazflag() {
        return (Long) params.get("RS_KLIENTSMAZFLAG");
    }

    public String rsGeEmployeeFlag() {
        return (String) params.get("RS_GE_EMPLOYEE_FLAG");
    }

    public java.util.Date rsDatumnarozeni() {
        return (java.util.Date) params.get("RS_DATUMNAROZENI");
    }

    public String rsMistonarozeni() {
        return (String) params.get("RS_MISTONAROZENI");
    }

    public String rsVztahkavonu() {
        return (String) params.get("RS_VZTAHKAVONU");
    }

    public String rsOsobnidoklad2Zeme() {
        return (String) params.get("RS_OSOBNIDOKLAD2_ZEME");
    }

    public String rsTypbyznysu() {
        return (String) params.get("RS_TYPBYZNYSU");
    }

    public String rsOsobnidoklad1Zeme() {
        return (String) params.get("RS_OSOBNIDOKLAD1_ZEME");
    }

    public String rsZahranicnizam() {
        return (String) params.get("RS_ZAHRANICNIZAM");
    }

    public String rsAdrkorOverenokuryrem() {
        return (String) params.get("RS_ADRKOR_OVERENOKURYREM");
    }

    public String rsAdrtrvOverenokuryrem() {
        return (String) params.get("RS_ADRTRV_OVERENOKURYREM");
    }

    public String rsZamadrOverenokuryrem() {
        return (String) params.get("RS_ZAMADR_OVERENOKURYREM");
    }

    public String rsTyppobytu() {
        return (String) params.get("RS_TYPPOBYTU");
    }

    public Long rsCistymesicprijem3mKey() {
        return (Long) params.get("RS_CISTYMESICPRIJEM3M_KEY");
    }

    public Long rsZakladdaneKey() {
        return (Long) params.get("RS_ZAKLADDANE_KEY");
    }

    public Long rsHrubyrocniprijemKey() {
        return (Long) params.get("RS_HRUBYROCNIPRIJEM_KEY");
    }

    public Long rsCelkovyprijemdomKey() {
        return (Long) params.get("RS_CELKOVYPRIJEMDOM_KEY");
    }

    public String rsKlienttyp() {
        return (String) params.get("RS_KLIENTTYP");
    }

    public String rsZivlistflag() {
        return (String) params.get("RS_ZIVLISTFLAG");
    }

    public String rsBezdlflag() {
        return (String) params.get("RS_BEZDLFLAG");
    }

    public String rsAdrkorDokladprohlaseniflag() {
        return (String) params.get("RS_ADRKOR_DOKLADPROHLASENIFLAG");
    }

    public String rsZaloha2() {
        return (String) params.get("RS_ZALOHA2");
    }

    public String rsZaloha1() {
        return (String) params.get("RS_ZALOHA1");
    }

    public Long rsZivlistRqdocKey() {
        return (Long) params.get("RS_ZIVLIST_RQDOC_KEY");
    }

    public Long rsZivlistDocKey() {
        return (Long) params.get("RS_ZIVLIST_DOC_KEY");
    }

    public Long rsAdrkorDokladRqdocKey() {
        return (Long) params.get("RS_ADRKOR_DOKLAD_RQDOC_KEY");
    }

    public Long rsBezdlDocKey() {
        return (Long) params.get("RS_BEZDL_DOC_KEY");
    }

    public java.util.Date rsBezdlDatumvystaveni() {
        return (java.util.Date) params.get("RS_BEZDL_DATUMVYSTAVENI");
    }

    public java.util.Date rsZivlistDatumvystaveni() {
        return (java.util.Date) params.get("RS_ZIVLIST_DATUMVYSTAVENI");
    }

    public String rsAdrkorDokladsmazflag() {
        return (String) params.get("RS_ADRKOR_DOKLADSMAZFLAG");
    }

    public String rsZivlistSmazflag() {
        return (String) params.get("RS_ZIVLIST_SMAZFLAG");
    }

    public String rsBezdlSmazflag() {
        return (String) params.get("RS_BEZDL_SMAZFLAG");
    }

    public Long rsBezdlRqdocKey() {
        return (Long) params.get("RS_BEZDL_RQDOC_KEY");
    }

    public java.util.Date rsDatumnastehovanidatum() {
        return (java.util.Date) params.get("RS_DATUMNASTEHOVANIDATUM");
    }

    public String rsPovolanityp() {
        return (String) params.get("RS_POVOLANITYP");
    }

    public String rsDuvodrozhodnutitext() {
        return (String) params.get("RS_DUVODROZHODNUTITEXT");
    }

    public String rsDuvodrozhodnutichybaflag() {
        return (String) params.get("RS_DUVODROZHODNUTICHYBAFLAG");
    }

    public String rsDanovepriznaniDokladsmazflag() {
        return (String) params.get("RS_DANOVEPRIZNANI_DOKLADSMAZFLAG");
    }

    public Long rsDanovepriznaniDokladRqdocKey() {
        return (Long) params.get("RS_DANOVEPRIZNANI_DOKLAD_RQDOC_KEY");
    }

    public java.util.Date rsDanovepriznaniDokladdatumvystaveni() {
        return (java.util.Date) params.get("RS_DANOVEPRIZNANI_DOKLADDATUMVYSTAVENI");
    }

    public Long rsDanovepriznaniDokladKey() {
        return (Long) params.get("RS_DANOVEPRIZNANI_DOKLAD_KEY");
    }

    public String rsDanovepriznaniDokladflag() {
        return (String) params.get("RS_DANOVEPRIZNANI_DOKLADFLAG");
    }

    public Long rsPotvrzeniprijmuDokladKey() {
        return (Long) params.get("RS_POTVRZENIPRIJMU_DOKLAD_KEY");
    }

    public Long rsPotvrzeniprijmuDokladRqdocKey() {
        return (Long) params.get("RS_POTVRZENIPRIJMU_DOKLAD_RQDOC_KEY");
    }

    public String rsPotvrzeniprijmuDokladSmazflag() {
        return (String) params.get("RS_POTVRZENIPRIJMU_DOKLAD_SMAZFLAG");
    }

    public String rsPotvrzeniprijmuDokladTyp() {
        return (String) params.get("RS_POTVRZENIPRIJMU_DOKLAD_TYP");
    }

    public String rsEvidencnicisloDuvod() {
        return (String) params.get("RS_EVIDENCNICISLO_DUVOD");
    }

    public String rsEvidencnicisloKomentar() {
        return (String) params.get("RS_EVIDENCNICISLO_KOMENTAR");
    }

    public String rsStavrodinnyovereni() {
        return (String) params.get("RS_STAVRODINNYOVERENI");
    }

    public String rsNfcMsisdn() {
        return (String) params.get("RS_NFC_MSISDN");
    }

    public Long rsNfcMsisdnKey() {
        return (Long) params.get("RS_NFC_MSISDN_KEY");
    }

    public String rsZuzenesjm() {
        return (String) params.get("RS_ZUZENESJM");
    }

    public String rsRodinnyzavod() {
        return (String) params.get("RS_RODINNYZAVOD");
    }

    public Double rsRodinnyzavodpodil() {
        return (Double) params.get("RS_RODINNYZAVODPODIL");
    }

    public Double rsOstatnizivotninaklady() {
        return (Double) params.get("RS_OSTATNIZIVOTNINAKLADY");
    }

    public String rsVydatkartukuveru() {
        return (String) params.get("RS_VYDATKARTUKUVERU");
    }

    public Double rsPrijmyRadek101() {
        return (Double) params.get("RS_PRIJMY_RADEK101");
    }

    public String rsZkusebnidoba() {
        return (String) params.get("RS_ZKUSEBNIDOBA");
    }

    public String rsVypovednilhuta() {
        return (String) params.get("RS_VYPOVEDNILHUTA");
    }

    public String rsBirthCntryId() {
        return (String) params.get("RS_BIRTH_CNTRY_ID");
    }

    public Long rsTaxCrOnlyFlag() {
        return (Long) params.get("RS_TAX_CR_ONLY_FLAG");
    }

    public Double rsVydajenavyzivovaneosoby() {
        return (Double) params.get("RS_VYDAJENAVYZIVOVANEOSOBY");
    }

    public Double rsPrijmynavyzivovaneosoby() {
        return (Double) params.get("RS_PRIJMYNAVYZIVOVANEOSOBY");
    }

    public Double rsDanzalonskyrok() {
        return (Double) params.get("RS_DANZALONSKYROK");
    } 

}
